package com.telpo.dipperposition.co;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Component;

/**
 * @program: RzlAccount
 * @description: 融智联账号配置
 * @author: king
 * @create: 2021-01-12 14:02
 **/
@Lazy
@Getter
@Setter
@ToString
@Component
public class RzlAccount {

    @Value("${position.hello}")
    private String hello;

    RzlAccount()
    {
    }

    private static RzlAccount instance;
    public static RzlAccount getInstance(){
        if (instance==null){
            try {
                Thread.sleep(100);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
            instance = new RzlAccount();
        }
        return instance;
    }
}
