package com.telpo.dipperposition.controller;

import com.alibaba.cloud.nacos.parser.NacosDataParserHandler;
import com.alibaba.nacos.api.PropertyKeyConst;
import com.alibaba.nacos.api.exception.NacosException;
import com.telpo.dipperposition.co.RzlAccount;
import com.telpo.dipperposition.config.PositionConfig;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;
import java.util.Map;
import java.util.Properties;
import java.util.concurrent.Executor;
import com.alibaba.nacos.api.NacosFactory;
import com.alibaba.nacos.api.config.ConfigService;
import com.alibaba.nacos.api.config.listener.Listener;

/**
 * @program: DipperPositionController
 * @description: 北斗定位
 * @author: linwl
 * @create: 2020-07-10 14:01
 */
@RestController
@Slf4j
public class DipperPositionController {

  RzlAccount rzlAccount;

  @RequestMapping("/getPos")
  public String getPos() throws NacosException, InterruptedException, IOException {
//      String group = "DEFAULT_GROUP";
//      String dataId = "dipperposition-service";
//      String positionId = "position.hello";
//      Properties properties = new Properties();
//      String serverAddr = "172.16.192.26";
//      properties.put(PropertyKeyConst.SERVER_ADDR, serverAddr);
//      ConfigService configService = NacosFactory.createConfigService(properties);
//      String content = configService.getConfig(dataId, group, 10000);
//      System.out.println(content);
//      //log.info(positionId + ":" + content.positionId)
//      Map<String, Object> dataMap = NacosDataParserHandler.getInstance().parseNacosData(content,"yaml");
//      return dataMap == null ? "" : (String)dataMap.get(positionId);
      String returnStr=
              "return position = " + PositionConfig.getInstance().getHello() + "return name = " + PositionConfig.getInstance().getName();
      return returnStr;
      //return "Helle world!"; //ContextLoader.getCurrentWebApplicationContext().toString();
  }
}
